

#ifndef CLASSDATA_H
#define CLASSDATA_H 1

/*
**
**  $VER: classdata.h 1.1 (5.10.97)
**  16sv.datatype 1.1
**
**  16sv class data
**
**  Written 1996/97 by Roland 'Gizzy' Mainz
**  Original example source from David N. Junod
**
*/

/* amiga includes */
#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif /* !EXEC_TYPES_H */

/* ansi includes */
#include <limits.h>

/*****************************************************************************/

/* public BOOPSI class name */
#define IFF16SVDTCLASS "16sv.datatype"

/*****************************************************************************/

/* 16SV IFF defines and macros: */

/* Generic IFF Chunk ID's we may encounter */
#ifndef ID_ANNO
#define ID_ANNO         MAKE_ID( 'A', 'N', 'N', 'O' )
#endif /* !ID_ANNO */

#ifndef ID_AUTH
#define ID_AUTH         MAKE_ID( 'A', 'U', 'T', 'H' )
#endif /* !ID_AUTH */

#ifndef ID_Copyright
#define ID_Copyright    MAKE_ID( '(', 'c', ')', ' ' )
#endif /* !ID_Copyright */

#ifndef ID_FVER
#define ID_FVER         MAKE_ID( 'F', 'V', 'E', 'R' )
#endif /* !ID_FVER */

#ifndef ID_NAME
#define ID_NAME         MAKE_ID( 'N', 'A', 'M', 'E' )
#endif /* !ID_NAME */

/* IFF 16SV identifers */
#ifndef ID_16SV
#define ID_16SV         MAKE_ID( '1', '6', 'S', 'V' )
#endif /* !ID_16SV */

/* IFF 8SVX/16SV VoiceHeader (defined in <datatypes/soundclass.h>) */
#ifndef ID_VHDR
#define ID_VHDR         MAKE_ID( 'V', 'H', 'D', 'R' )
#endif /* !ID_VHDR */

/* misc */
#ifndef ID_BODY
#define ID_BODY         MAKE_ID( 'B', 'O', 'D', 'Y' )
#endif /* !ID_BODY */

/*****************************************************************************/

#ifdef COMMENTED_OUT

/* 16sv.datatype instance data */
struct 16SVInstData
{
};

#endif /* COMMENTED_OUT */

typedef UBYTE SAMPLE8;  /*  8 bit sample data */
typedef UWORD SAMPLE16; /* 16 bit sample data */

#define SAMPLE8_MAX  (UCHAR_MAX)
#define SAMPLE16_MAX (USHRT_MAX)

/* struct VoiceHeader volume field */
#define VOLUME_UNITY (0x10000UL) /* Unity = Fixed 1.0 = maximum volume */

/*****************************************************************************/

#endif /* !CLASSDATA_H */



